Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns an iterable representation of the sequence.
 *
 * @returns {Iterable<T>}
 */
function asIterable() {
    var iterator = this.iterator;
    return _a = {},
        _a[Symbol.iterator] = function () {
            return {
                next: function () {
                    if (!iterator.hasNext()) {
                        return { done: true, value: undefined };
                    }
                    var item = iterator.next();
                    return { done: false, value: item };
                }
            };
        },
        _a;
    var _a;
}
exports.default = asIterable;
//# sourceMappingURL=asIterable.js.map