Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the element at position `index` (zero-based). If `index` is out of bounds returns
 * the result of the given `defaultValue` function.
 *
 * @param {number} index
 * @param defaultValue
 * @returns {T}
 */
function elementAtOrElse(index, defaultValue) {
    var i = 0;
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        if (i === index) {
            return item;
        }
        i++;
    }
    return defaultValue(index);
}
exports.default = elementAtOrElse;
//# sourceMappingURL=elementAtOrElse.js.map