Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a new sequence consisting of all elements that match the given `predicate`.
 *
 * @param {(index: number, value: T) => boolean} predicate
 * @returns {Sequence<T>}
 */
function filterIndexed(predicate) {
    return this.withIndex()
        .filter(function (it) { return predicate(it.index, it.value); })
        .map(function (it) { return it.value; });
}
exports.default = filterIndexed;
//# sourceMappingURL=filterIndexed.js.map