Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a new sequence consisting of all elements that don't match the given `predicate`.
 *
 * @param {(value: T) => boolean} predicate
 * @returns {Sequence<T>}
 */
function filterNot(predicate) {
    return this.filter(function (value) { return !predicate(value); });
}
exports.default = filterNot;
//# sourceMappingURL=filterNot.js.map