import Sequence from "./Sequence";
/**
 * Performs the given `action` (side-effect) for each element of the sequence and passes the `index` of the current
 * element (zero-based).
 *
 * @param {(index: number, value: T) => void} action
 */
declare function forEachIndexed<T>(this: Sequence<T>, action: (index: number, value: T) => void): void;
export default forEachIndexed;
