import Sequence from "./Sequence";
/**
 * Groups all elements of the sequence into a map. Keys are determined by the given `keySelector` function.
 *
 * @param {(value: T) => K} keySelector
 * @returns {Map<K, Array<T>>}
 */
declare function groupBy<T, K>(this: Sequence<T>, keySelector: (value: T) => K): Map<K, Array<T>>;
export default groupBy;
