Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the zero-based index of the first element matching the given `predicate` or -1 if no element matches
 * the predicate.
 *
 * @param {(value: T) => boolean} predicate
 * @returns {number}
 */
function indexOfFirst(predicate) {
    var index = 0;
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        if (predicate(item)) {
            return index;
        }
        index++;
    }
    return -1;
}
exports.default = indexOfFirst;
//# sourceMappingURL=indexOfFirst.js.map