Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the last element of the sequence or the last element matching `predicate` if present, otherwise throws
 * an error.
 *
 * @param {(value: T) => boolean} predicate
 * @returns {T}
 */
function last(predicate) {
    if (predicate != null) {
        return this.filter(predicate).last();
    }
    if (!this.iterator.hasNext()) {
        throw new Error("No such element");
    }
    var item;
    while (this.iterator.hasNext()) {
        item = this.iterator.next();
    }
    return item;
}
exports.default = last;
//# sourceMappingURL=last.js.map