Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the last element of the sequence or the last element matching `predicate` if present, otherwise returns `null`.
 *
 * @param {(value: T) => boolean} predicate
 * @returns {T}
 */
function lastOrNull(predicate) {
    if (predicate != null) {
        return this.filter(predicate).lastOrNull();
    }
    var item = null;
    while (this.iterator.hasNext()) {
        item = this.iterator.next();
    }
    return item;
}
exports.default = lastOrNull;
//# sourceMappingURL=lastOrNull.js.map