import Sequence from "./Sequence";
/**
 * Returns the maximum element by comparing the results of the given `selector` function
 * for each element of the sequence or `null` if the sequence is empty.
 *
 * @param {(value: T) => R} selector
 * @returns {T}
 */
declare function maxBy<T, R>(this: Sequence<T>, selector: (value: T) => R): T | null;
export default maxBy;
