Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the minimum element of the sequence by evaluating the given `compare`
 * function or `null` if sequence is empty.
 *
 * @returns {T}
 */
function minWith(compare) {
    var min = null;
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        if (min == null || compare(item, min) < 0) {
            min = item;
        }
    }
    return min;
}
exports.default = minWith;
//# sourceMappingURL=minWith.js.map