Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns `true` if no element match the given `predicate` or if the sequence is empty
 * if no predicate is present.
 *
 * @param {(value: T) => boolean} predicate
 * @returns {boolean}
 */
function none(predicate) {
    if (predicate == null) {
        return !this.iterator.hasNext();
    }
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        if (predicate(item)) {
            return false;
        }
    }
    return true;
}
exports.default = none;
//# sourceMappingURL=none.js.map