Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a new sequence with all elements sorted descending by the value specified
 * by the given `selector` function.
 *
 * @param {(value: T) => R} selector
 * @returns {Sequence<T>}
 */
function sortedByDescending(selector) {
    return this.sorted(function (it) { return it.compareByDescending(selector); });
}
exports.default = sortedByDescending;
//# sourceMappingURL=sortedByDescending.js.map