Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a map consisting of each key-value pair. If a `map` is passed
 * the pairs are set on this map. Duplicate keys override each other.
 *
 * @param {Map<K, V>} map
 * @returns {Map<K, V>}
 */
function toMap(map) {
    var result = map || new Map();
    while (this.iterator.hasNext()) {
        var pair = this.iterator.next();
        var key = pair[0];
        var value = pair[1];
        result.set(key, value);
    }
    return result;
}
exports.default = toMap;
//# sourceMappingURL=toMap.js.map