Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns all elements of the sequence as set. If a `set` is passed
 * the elements are added to this set.
 *
 * @param {Set<T>} set
 * @returns {Set<T>}
 */
function toSet(set) {
    var result = set || new Set();
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        result.add(item);
    }
    return result;
}
exports.default = toSet;
//# sourceMappingURL=toSet.js.map