Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a pair of arrays where the first array contains all first values
 * and the second array all second values from each input pair of the sequence.
 *
 * @returns {[Array<T> , Array<S>]}
 */
function unzip() {
    var array1 = [];
    var array2 = [];
    while (this.iterator.hasNext()) {
        var _a = this.iterator.next(), first = _a[0], second = _a[1];
        array1.push(first);
        array2.push(second);
    }
    return [array1, array2];
}
exports.default = unzip;
//# sourceMappingURL=unzip.js.map