Object.defineProperty(exports, "__esModule", { value: true });
var Sequence_1 = require("./Sequence");
var IndexIterator = (function () {
    function IndexIterator(iterator) {
        this.iterator = iterator;
        this.index = -1;
    }
    IndexIterator.prototype.hasNext = function () {
        return this.iterator.hasNext();
    };
    IndexIterator.prototype.next = function () {
        var value = this.iterator.next();
        this.index++;
        return { index: this.index, value: value };
    };
    return IndexIterator;
}());
/**
 * Returns a new sequence consisting of indexed values for all original elements.
 *
 * @returns {Sequence<IndexedValue<T>>}
 */
function withIndex() {
    return new Sequence_1.default(new IndexIterator(this.iterator));
}
exports.default = withIndex;
//# sourceMappingURL=withIndex.js.map